[arch-commits] Commit in harfbuzz/repos (4 files)

Jan Steffens heftig at archlinux.org
Sat Nov 22 23:18:01 UTC 2014


    Date: Sunday, November 23, 2014 @ 00:18:01
  Author: heftig
Revision: 226856

archrelease: copy trunk to extra-i686, extra-x86_64

Added:
  harfbuzz/repos/extra-i686/PKGBUILD
    (from rev 226855, harfbuzz/trunk/PKGBUILD)
  harfbuzz/repos/extra-x86_64/PKGBUILD
    (from rev 226855, harfbuzz/trunk/PKGBUILD)
Deleted:
  harfbuzz/repos/extra-i686/PKGBUILD
  harfbuzz/repos/extra-x86_64/PKGBUILD

-----------------------+
 /PKGBUILD             |  102 ++++++++++++++++++++++++++++++++++++++++++++++++
 extra-i686/PKGBUILD   |   51 ------------------------
 extra-x86_64/PKGBUILD |   51 ------------------------
 3 files changed, 102 insertions(+), 102 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2014-11-22 23:16:12 UTC (rev 226855)
+++ extra-i686/PKGBUILD	2014-11-22 23:18:01 UTC (rev 226856)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=(harfbuzz)
-pkgname=(harfbuzz harfbuzz-icu)
-pkgver=0.9.35
-pkgrel=2
-pkgdesc="OpenType text shaping engine"
-arch=(i686 x86_64)
-url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
-license=(MIT)
-makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection python2)
-source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
-sha256sums=('0aa1a8aba6f502321cf6fef3c9d2c73dde48389c5ed1d3615a7691944c2a06ed')
-
-build() {
-  cd $pkgbase-$pkgver
-  ./configure --prefix=/usr \
-    --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
-    --with-gobject
-  make
-}
-
-check() {
-  cd $pkgbase-$pkgver
-  make -k check || :
-}
-
-package_harfbuzz() {
-  depends=(glib2 freetype2 graphite)
-  optdepends=('cairo: hb-view program')
-
-  cd $pkgbase-$pkgver
-  make DESTDIR="$pkgdir" install
-  install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
-
-# Split harfbuzz-icu
-  mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
-  mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
-  mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
-  mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
-}
-
-package_harfbuzz-icu(){
-  pkgdesc="$pkgdesc (ICU integration)"
-  depends=(harfbuzz icu)
-
-  mv hb-icu/* "$pkgdir"
-
-  install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
-}

Copied: harfbuzz/repos/extra-i686/PKGBUILD (from rev 226855, harfbuzz/trunk/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2014-11-22 23:18:01 UTC (rev 226856)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=(harfbuzz)
+pkgname=(harfbuzz harfbuzz-icu)
+pkgver=0.9.36
+pkgrel=1
+pkgdesc="OpenType text shaping engine"
+arch=(i686 x86_64)
+url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
+license=(MIT)
+makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection python2)
+source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
+sha256sums=('3bfbf7b016167ee6b2a2f83948fef75cc1253081873d6a91022161815956b9be')
+
+build() {
+  cd $pkgbase-$pkgver
+  ./configure --prefix=/usr \
+    --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
+    --with-gobject
+  make
+}
+
+check() {
+  cd $pkgbase-$pkgver
+  make -k check || :
+}
+
+package_harfbuzz() {
+  depends=(glib2 freetype2 graphite)
+  optdepends=('cairo: hb-view program')
+
+  cd $pkgbase-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
+
+# Split harfbuzz-icu
+  mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
+  mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
+  mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
+  mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
+}
+
+package_harfbuzz-icu(){
+  pkgdesc="$pkgdesc (ICU integration)"
+  depends=(harfbuzz icu)
+
+  mv hb-icu/* "$pkgdir"
+
+  install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
+}

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2014-11-22 23:16:12 UTC (rev 226855)
+++ extra-x86_64/PKGBUILD	2014-11-22 23:18:01 UTC (rev 226856)
@@ -1,51 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=(harfbuzz)
-pkgname=(harfbuzz harfbuzz-icu)
-pkgver=0.9.35
-pkgrel=2
-pkgdesc="OpenType text shaping engine"
-arch=(i686 x86_64)
-url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
-license=(MIT)
-makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection python2)
-source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
-sha256sums=('0aa1a8aba6f502321cf6fef3c9d2c73dde48389c5ed1d3615a7691944c2a06ed')
-
-build() {
-  cd $pkgbase-$pkgver
-  ./configure --prefix=/usr \
-    --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
-    --with-gobject
-  make
-}
-
-check() {
-  cd $pkgbase-$pkgver
-  make -k check || :
-}
-
-package_harfbuzz() {
-  depends=(glib2 freetype2 graphite)
-  optdepends=('cairo: hb-view program')
-
-  cd $pkgbase-$pkgver
-  make DESTDIR="$pkgdir" install
-  install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
-
-# Split harfbuzz-icu
-  mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
-  mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
-  mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
-  mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
-}
-
-package_harfbuzz-icu(){
-  pkgdesc="$pkgdesc (ICU integration)"
-  depends=(harfbuzz icu)
-
-  mv hb-icu/* "$pkgdir"
-
-  install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
-}

Copied: harfbuzz/repos/extra-x86_64/PKGBUILD (from rev 226855, harfbuzz/trunk/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2014-11-22 23:18:01 UTC (rev 226856)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=(harfbuzz)
+pkgname=(harfbuzz harfbuzz-icu)
+pkgver=0.9.36
+pkgrel=1
+pkgdesc="OpenType text shaping engine"
+arch=(i686 x86_64)
+url="http://www.freedesktop.org/wiki/Software/HarfBuzz"
+license=(MIT)
+makedepends=(glib2 freetype2 graphite cairo icu gobject-introspection python2)
+source=(http://www.freedesktop.org/software/harfbuzz/release/${pkgbase}-${pkgver}.tar.bz2)
+sha256sums=('3bfbf7b016167ee6b2a2f83948fef75cc1253081873d6a91022161815956b9be')
+
+build() {
+  cd $pkgbase-$pkgver
+  ./configure --prefix=/usr \
+    --with-glib --with-freetype --with-cairo --with-icu --with-graphite2 \
+    --with-gobject
+  make
+}
+
+check() {
+  cd $pkgbase-$pkgver
+  make -k check || :
+}
+
+package_harfbuzz() {
+  depends=(glib2 freetype2 graphite)
+  optdepends=('cairo: hb-view program')
+
+  cd $pkgbase-$pkgver
+  make DESTDIR="$pkgdir" install
+  install -Dm644 COPYING "$pkgdir/usr/share/licenses/harfbuzz/COPYING"
+
+# Split harfbuzz-icu
+  mkdir -p ../hb-icu/usr/{include/harfbuzz,lib/pkgconfig}; cd ../hb-icu
+  mv "$pkgdir"/usr/lib/libharfbuzz-icu* ./usr/lib
+  mv "$pkgdir"/usr/lib/pkgconfig/harfbuzz-icu.pc ./usr/lib/pkgconfig
+  mv "$pkgdir"/usr/include/harfbuzz/hb-icu.h ./usr/include/harfbuzz
+}
+
+package_harfbuzz-icu(){
+  pkgdesc="$pkgdesc (ICU integration)"
+  depends=(harfbuzz icu)
+
+  mv hb-icu/* "$pkgdir"
+
+  install -Dm644 $pkgbase-$pkgver/COPYING "$pkgdir/usr/share/licenses/harfbuzz-icu/COPYING"
+}


More information about the arch-commits mailing list